Skip to main content
GET
/
v1
/
org
/
{org_id}
/
team
/
{team_id}
/
{environment}
/
continuous_query
Get Continuous Queries
curl --request GET \
  --url https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/continuous_query \
  --header 'X-Management-Key: <api-key>'
{
  "data": [
    {
      "export_preferences": {
        "data_events": {
          "enabled": true
        }
      },
      "id": "d25f4472-c679-4e7a-9442-2bce8c12afb1",
      "query": {
        "group_by": [
          {
            "arg": {
              "index": "sleep"
            },
            "date_trunc": {
              "unit": "month",
              "value": 1
            }
          }
        ],
        "select": [
          {
            "group_key": "*"
          },
          {
            "arg": {
              "value_macro": "sleep_score",
              "version": "automatic"
            },
            "func": "mean"
          }
        ]
      },
      "query_config": {
        "provider_priority_overrides": [
          "oura"
        ]
      },
      "resource_dependencies": [
        "sleep"
      ],
      "result_table_schema": {
        "group_key.0": "string",
        "sleep_score": "int64"
      },
      "scheduling_preferences": {
        "minimum_gap_duration_second": 3600
      },
      "slug": "weekly_mean_sleep_score",
      "title": "Weekly Mean Sleep Score"
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://vital-mintlify-seo-descriptions-1777051001.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Junction Sense is in closed beta.Interested in Junction Sense? Get in touch with your Customer Success Manager.
The base URL of this endpoint is https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key). Team API Key is not accepted.

Authorizations

X-Management-Key
string
header
required

Path Parameters

org_id
string<uuid>
required
team_id
string<uuid>
required
environment
enum<string>
required
Available options:
production,
sandbox

Response

Successful Response

data
ContinuousQuery · object[]
required
next_cursor
string | null
required